Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QLCDNumber

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.gui.QWidget
                          com.trolltech.qt.gui.QFrame
                              com.trolltech.qt.gui.QLCDNumber

All Implemented Interfaces:
  QPaintDeviceInterface, QtJambiInterface

    public class QLCDNumber

extends QFrame

The `QLCDNumber` widget displays a number with LCD-like digits. It can display a number in just about any size. It can display decimal, hexadecimal, octal or binary numbers. It is easy to connect to data sources using the `display()` slot, which is overloaded to take any of five argument types.

There are also slots to change the base with `setMode()` and the decimal point with `setSmallDecimalPoint()`.

`QLCDNumber` emits the `overflow()` signal when it is asked to display something beyond its range. The range is set by `setNumDigits()`, but `setSmallDecimalPoint()` also influences it. If the display is set to hexadecimal, octal or binary, the integer equivalent of the value is displayed.

These digits and other symbols can be shown: 0/O, 1, 2, 3, 4, 5/S, 6, 7, 8, 9/g, minus, decimal point, A, B, C, D, E, F, h, H, L, o, P, r, u, U, Y, colon, degree sign (which is specified as single quote in the string) and space. `QLCDNumber` substitutes spaces for illegal characters.

It is not possible to retrieve the contents of a `QLCDNumber` object, although you can retrieve the numeric value with `value()`. If you really need the text, we recommend that you connect the signals that feed the `display()` slot to another slot as well and store the value there.

Incidentally, `QLCDNumber` is the very oldest part of Qt, tracing its roots back to a BASIC program on the Sinclair Spectrum.

LCD number widgets shown in various widget styles (from left to right): Motif, CDE, Windows, Windows XP, Macintosh, Plastique.

See also:
  `QLabel`, `QFrame`, Digital Clock Example, and Tetrix Example.

Nested Class Summary
`static class` | `QLCDNumber.Mode`
`static class` | `QLCDNumber.SegmentStyle` This type determines the visual appearance of the `QLCDNumber` widget.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QFrame
`QFrame.Shadow, QFrame.Shape, QFrame.StyleMask`

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QWidget
`QWidget.RenderFlag, QWidget.RenderFlags`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary
`QSignalEmitter.Signal0` | `overflow` This signal is emitted whenever the `QLCDNumber` is asked to display a too-large number or a too-long string.

Fields inherited from class com.trolltech.qt.gui.QWidget
`customContextMenuRequested`

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QLCDNumber()` Constructs an LCD number, sets the number of digits to 5, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box.
`QLCDNumber(int numDigits)` Constructs an LCD number, sets the number of digits to `numDigits`, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box.
`QLCDNumber(int numDigits, QWidget parent)` Constructs an LCD number, sets the number of digits to `numDigits`, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box.
`QLCDNumber(QWidget parent)` Constructs an LCD number, sets the number of digits to 5, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box.

Method Summary
`boolean` | `checkOverflow(double num)` Returns true if `num` is too big to be displayed in its entirety; otherwise returns false.
`boolean` | `checkOverflow(int num)` Returns true if `num` is too big to be displayed in its entirety; otherwise returns false.
`void` | `display(double num)` This property holds the displayed value rounded to the nearest integer.
`void` | `display(int num)` This property holds the displayed value rounded to the nearest integer.
`void` | `display(java.lang.String str)` This property holds the displayed value rounded to the nearest integer.
`int` | `intValue()` This property holds the displayed value rounded to the nearest integer.
`QLCDNumber.Mode` | `mode()` This property holds the current display mode (number base).
`int` | `numDigits()` This property holds the current number of digits displayed.
`QLCDNumber.SegmentStyle` | `segmentStyle()` This property holds the style of the LCDNumber.
`void` | `setBinMode()` Calls setMode(Bin).
`void` | `setDecMode()` Calls setMode(Dec).
`void` | `setHexMode()` Calls setMode(Hex).
`void` | `setMode(QLCDNumber.Mode arg__1)` This property holds the current display mode (number base).
`void` | `setNumDigits(int nDigits)` This property holds the current number of digits displayed.
`void` | `setOctMode()` Calls setMode(Oct).
`void` | `setSegmentStyle(QLCDNumber.SegmentStyle arg__1)` This property holds the style of the LCDNumber.
`void` | `setSmallDecimalPoint(boolean arg__1)` This property holds the style of the decimal point.
`boolean` | `smallDecimalPoint()` This property holds the style of the decimal point.
`double` | `value()` This property holds the displayed value.

Methods inherited from class com.trolltech.qt.gui.QFrame
`frameRect, frameShadow, frameShape, frameStyle, frameWidth, lineWidth, midLineWidth, setFrameRect, setFrameShadow, setFrameShape, setFrameStyle, setLineWidth, setMidLineWidth`

Methods inherited from class com.trolltech.qt.gui.QWidget
`acceptDrops, accessibleDescription, accessibleName, actionEvent, actions, activateWindow, addAction, addActions, adjustSize, autoFillBackground, backgroundRole, baseSize, changeEvent, childAt, childAt, childrenRect, childrenRegion, clearFocus, clearMask, close, closeEvent, contentsRect, contextMenuEvent, contextMenuPolicy, cursor, depth, destroy, destroy, destroy, dragEnterEvent, dragLeaveEvent, dragMoveEvent, dropEvent, effectiveWinId, ensurePolished, enterEvent, focusInEvent, focusNextChild, focusNextPrevChild, focusOutEvent, focusPolicy, focusPreviousChild, focusProxy, focusWidget, font, fontInfo, fontMetrics, foregroundRole, frameGeometry, frameSize, geometry, getContentsMargins, grabKeyboard, grabMouse, grabMouse, grabShortcut, grabShortcut, hasFocus, hasMouseTracking, height, heightForWidth, heightMM, hide, hideEvent, inputContext, inputMethodEvent, inputMethodQuery, insertAction, insertActions, isActiveWindow, isAncestorOf, isEnabled, isEnabledTo, isFullScreen, isHidden, isMaximized, isMinimized, isModal, isVisible, isVisibleTo, isWindow, isWindowModified, keyboardGrabber, keyPressEvent, keyReleaseEvent, languageChange, layout, layoutDirection, leaveEvent, locale, logicalDpiX, logicalDpiY, lower, mapFrom, mapFromGlobal, mapFromParent, mapTo, mapToGlobal, mapToParent, mask, maximumHeight, maximumSize, maximumWidth, metric, minimumHeight, minimumSize, minimumSizeHint, minimumWidth, mouseDoubleClickEvent, mouseGrabber, mouseMoveEvent, mousePressEvent, mouseReleaseEvent, move, move, moveEvent, nativeParentWidget, nextInFocusChain, normalGeometry, numColors, overrideWindowFlags, overrideWindowFlags, paintEngine, paintEvent, paintingActive, palette, parentWidget, physicalDpiX, physicalDpiY, pos, raise, rect, releaseKeyboard, releaseMouse, releaseShortcut, removeAction, render, render, render, render, render, render, render, render, render, repaint, repaint, repaint, repaint, resetInputContext, resize, resize, resizeEvent, restoreGeometry, saveGeometry, scroll, scroll, setAcceptDrops, setAccessibleDescription, setAccessibleName, setAttribute, setAttribute, setAutoFillBackground, setBackgroundRole, setBaseSize, setBaseSize, setContentsMargins, setContentsMargins, setContextMenuPolicy, setCursor, setDisabled, setEnabled, setFixedHeight, setFixedSize, setFixedSize, setFixedWidth, setFocus, setFocus, setFocusPolicy, setFocusProxy, setFont, setForegroundRole, setGeometry, setGeometry, setHidden, setInputContext, setLayout, setLayoutDirection, setLocale, setMask, setMask, setMaximumHeight, setMaximumSize, setMaximumSize, setMaximumWidth, setMinimumHeight, setMinimumSize, setMinimumSize, setMinimumWidth, setMouseTracking, setPalette, setParent, setParent, setParent, setShortcutAutoRepeat, setShortcutAutoRepeat, setShortcutEnabled, setShortcutEnabled, setSizeIncrement, setSizeIncrement, setSizePolicy, setSizePolicy, setStatusTip, setStyle, setStyleSheet, setTabOrder, setToolTip, setUpdatesEnabled, setVisible, setWhatsThis, setWindowFilePath, setWindowFlags, setWindowFlags, setWindowIcon, setWindowIconText, setWindowModality, setWindowModified, setWindowOpacity, setWindowRole, setWindowState, setWindowState, setWindowTitle, show, showEvent, showFullScreen, showMaximized, showMinimized, showNormal, size, sizeHint, sizeIncrement, sizePolicy, stackUnder, statusTip, style, styleSheet, tabletEvent, testAttribute, toolTip, underMouse, unsetCursor, unsetLayoutDirection, unsetLocale, update, update, update, update, updateGeometry, updateMicroFocus, updatesEnabled, visibleRegion, whatsThis, wheelEvent, width, widthMM, window, windowFilePath, windowFlags, windowIcon, windowIconText, windowModality, windowOpacity, windowRole, windowState, windowTitle, windowType, winId, x, y`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Field Detail

### overflow

    public final QSignalEmitter.Signal0 overflow

  This signal is emitted whenever the `QLCDNumber` is asked to display a too-large number or a too-long string.

  It is never emitted by `setNumDigits()`.

Constructor Detail

### QLCDNumber

    public QLCDNumber()

  Constructs an LCD number, sets the number of digits to 5, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box. The `segmentStyle()` is set to `Outline`.

  The `parent` argument is passed to the `QFrame` constructor.

See also:
  `setNumDigits()`, and `setSmallDecimalPoint()`.

### QLCDNumber

    public QLCDNumber(QWidget parent)

  Constructs an LCD number, sets the number of digits to 5, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box. The `segmentStyle()` is set to `Outline`.

  The `parent` argument is passed to the `QFrame` constructor.

See also:
  `setNumDigits()`, and `setSmallDecimalPoint()`.

### QLCDNumber

    public QLCDNumber(int numDigits)

  Constructs an LCD number, sets the number of digits to `numDigits`, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box. The `segmentStyle()` is set to `Outline`.

  The `parent` argument is passed to the `QFrame` constructor.

See also:
  `setNumDigits()`, and `setSmallDecimalPoint()`.

### QLCDNumber

    public QLCDNumber(int numDigits,
                      QWidget parent)

  Constructs an LCD number, sets the number of digits to `numDigits`, the base to decimal, the decimal point mode to 'small' and the frame style to a raised box. The `segmentStyle()` is set to `Outline`.

  The `parent` argument is passed to the `QFrame` constructor.

See also:
  `setNumDigits()`, and `setSmallDecimalPoint()`.

Method Detail

### checkOverflow

    public final boolean checkOverflow(double num)

  Returns true if `num` is too big to be displayed in its entirety; otherwise returns false.

See also:
  `display()`, `numDigits()`, and `smallDecimalPoint()`.

### checkOverflow

    public final boolean checkOverflow(int num)

  Returns true if `num` is too big to be displayed in its entirety; otherwise returns false.

See also:
  `display()`, `numDigits()`, and `smallDecimalPoint()`.

### display

    public final void display(java.lang.String str)

  This property holds the displayed value rounded to the nearest integer. This property corresponds to the nearest integer to the current value displayed by the LCDNumber. This is the value used for hexadecimal, octal and binary modes.

  If the displayed value is not a number, the property has a value of 0.

  By default, this property contains a value of 0.

### display

    public final void display(double num)

  This property holds the displayed value rounded to the nearest integer. This property corresponds to the nearest integer to the current value displayed by the LCDNumber. This is the value used for hexadecimal, octal and binary modes.

  If the displayed value is not a number, the property has a value of 0.

  By default, this property contains a value of 0.

### display

    public final void display(int num)

  This property holds the displayed value rounded to the nearest integer. This property corresponds to the nearest integer to the current value displayed by the LCDNumber. This is the value used for hexadecimal, octal and binary modes.

  If the displayed value is not a number, the property has a value of 0.

  By default, this property contains a value of 0.

### intValue

    public final int intValue()

  This property holds the displayed value rounded to the nearest integer. This property corresponds to the nearest integer to the current value displayed by the LCDNumber. This is the value used for hexadecimal, octal and binary modes.

  If the displayed value is not a number, the property has a value of 0.

  By default, this property contains a value of 0.

### mode

    public final QLCDNumber.Mode mode()

  This property holds the current display mode (number base). Corresponds to the current display mode, which is one of `Bin`, `Oct`, `Dec` (the default) and `Hex`. `Dec` mode can display floating point values, the other modes display the integer equivalent.

See also:
  `smallDecimalPoint()`, `setHexMode()`, `setDecMode()`, `setOctMode()`, and `setBinMode()`.

### numDigits

    public final int numDigits()

  This property holds the current number of digits displayed. Corresponds to the current number of digits. If `QLCDNumber::smallDecimalPoint` is false, the decimal point occupies one digit position.

  By default, this property contains a value of 5.

See also:
  `smallDecimalPoint`.

### segmentStyle

    public final QLCDNumber.SegmentStyle segmentStyle()

  This property holds the style of the LCDNumber.

  Style | Result
  --- | ---
  `Outline` | Produces raised segments filled with the background color (this is the default).
  `Filled` | Produces raised segments filled with the foreground color.
  `Flat` | Produces flat segments filled with the foreground color.

  `Outline` and `Filled` will additionally use `QPalette::light()` and `QPalette::dark()` for shadow effects.

### setBinMode

    public final void setBinMode()

  Calls setMode(Bin). Provided for convenience (e.g. for connecting buttons to it).

See also:
  `setMode()`, `setHexMode()`, `setDecMode()`, `setOctMode()`, and `mode()`.

### setDecMode

    public final void setDecMode()

  Calls setMode(Dec). Provided for convenience (e.g. for connecting buttons to it).

See also:
  `setMode()`, `setHexMode()`, `setOctMode()`, `setBinMode()`, and `mode()`.

### setHexMode

    public final void setHexMode()

  Calls setMode(Hex). Provided for convenience (e.g. for connecting buttons to it).

See also:
  `setMode()`, `setDecMode()`, `setOctMode()`, `setBinMode()`, and `mode()`.

### setMode

    public final void setMode(QLCDNumber.Mode arg__1)

  This property holds the current display mode (number base). Corresponds to the current display mode, which is one of `Bin`, `Oct`, `Dec` (the default) and `Hex`. `Dec` mode can display floating point values, the other modes display the integer equivalent.

See also:
  `smallDecimalPoint()`, `setHexMode()`, `setDecMode()`, `setOctMode()`, and `setBinMode()`.

### setNumDigits

    public final void setNumDigits(int nDigits)

  This property holds the current number of digits displayed. Corresponds to the current number of digits. If `QLCDNumber::smallDecimalPoint` is false, the decimal point occupies one digit position.

  By default, this property contains a value of 5.

See also:
  `smallDecimalPoint`.

### setOctMode

    public final void setOctMode()

  Calls setMode(Oct). Provided for convenience (e.g. for connecting buttons to it).

See also:
  `setMode()`, `setHexMode()`, `setDecMode()`, `setBinMode()`, and `mode()`.

### setSegmentStyle

    public final void setSegmentStyle(QLCDNumber.SegmentStyle arg__1)

  This property holds the style of the LCDNumber.

  Style | Result
  --- | ---
  `Outline` | Produces raised segments filled with the background color (this is the default).
  `Filled` | Produces raised segments filled with the foreground color.
  `Flat` | Produces flat segments filled with the foreground color.

  `Outline` and `Filled` will additionally use `QPalette::light()` and `QPalette::dark()` for shadow effects.

### setSmallDecimalPoint

    public final void setSmallDecimalPoint(boolean arg__1)

  This property holds the style of the decimal point. If true the decimal point is drawn between two digit positions. Otherwise it occupies a digit position of its own, i.e. is drawn in a digit position. The default is false.

  The inter-digit space is made slightly wider when the decimal point is drawn between the digits.

See also:
  `mode`.

### smallDecimalPoint

    public final boolean smallDecimalPoint()

  This property holds the style of the decimal point. If true the decimal point is drawn between two digit positions. Otherwise it occupies a digit position of its own, i.e. is drawn in a digit position. The default is false.

  The inter-digit space is made slightly wider when the decimal point is drawn between the digits.

See also:
  `mode`.

### value

    public final double value()

  This property holds the displayed value. This property corresponds to the current value displayed by the LCDNumber.

  If the displayed value is not a number, the property has a value of 0.

  By default, this property contains a value of 0.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD